language: php

php:
  - 5.3
  - 5.4
  - 5.5
  - 5.6
  - hhvm-nightly

before_script:
    - cp tests/acceptance.conf.php.default tests/acceptance.conf.php
    - cp tests/smoke.conf.php.default tests/smoke.conf.php
    - composer self-update
    - composer update --no-interaction --prefer-source
    - gem install mailcatcher
    - mailcatcher --smtp-port 4456

script:
    - phpunit --verbose

matrix:
  allow_failures:
    - php: 5.6
    - php: hhvm-nightly
  fast_finish: true
